# Uses of Class
org.apache.sysds.resource.enumeration.Enumerator

Packages that use Enumerator
Package
Description
org.apache.sysds.resource
org.apache.sysds.resource.enumeration

## Uses of Enumerator in org.apache.sysds.resource

Methods in org.apache.sysds.resource that return Enumerator
Modifier and Type
Method
Description
`static Enumerator`
ResourceOptimizer.`initEnumerator(org.apache.commons.cli.CommandLine line, org.apache.commons.configuration2.PropertiesConfiguration options)`

## Uses of Enumerator in org.apache.sysds.resource.enumeration

Subclasses of Enumerator in org.apache.sysds.resource.enumeration
Modifier and Type
Class
Description
`class`
`GridBasedEnumerator`
`class`
`InterestBasedEnumerator`
`class`
`PruneBasedEnumerator`
Methods in org.apache.sysds.resource.enumeration that return Enumerator
Modifier and Type
Method
Description
`Enumerator`
Enumerator.Builder.`build()`